package com.ruoyi.app.mapper;

import java.util.List;
import com.ruoyi.app.domain.DeadDisposal;
import com.ruoyi.app.domain.Hook;

/**
 * 死淘处理方式Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-19
 */
public interface DeadDisposalMapper 
{
    /**
     * 查询死淘处理方式
     * 
     * @param id 死淘处理方式主键
     * @return 死淘处理方式
     */
    public DeadDisposal selectDeadDisposalById(Long id);

    /**
     * 查询死淘处理方式列表
     * 
     * @param deadDisposal 死淘处理方式
     * @return 死淘处理方式集合
     */
    public List<DeadDisposal> selectDeadDisposalList(DeadDisposal deadDisposal);

    /**
     * 校验死淘处理方式是否唯一
     *
     * @param dealReason 死淘处理方式
     * @return 结果
     */
    public DeadDisposal checkDealReasonUnique(String dealReason);

    /**
     * 新增死淘处理方式
     * 
     * @param deadDisposal 死淘处理方式
     * @return 结果
     */
    public int insertDeadDisposal(DeadDisposal deadDisposal);

    /**
     * 修改死淘处理方式
     * 
     * @param deadDisposal 死淘处理方式
     * @return 结果
     */
    public int updateDeadDisposal(DeadDisposal deadDisposal);

    /**
     * 删除死淘处理方式
     * 
     * @param id 死淘处理方式主键
     * @return 结果
     */
    public int deleteDeadDisposalById(Long id);

    /**
     * 批量删除死淘处理方式
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeadDisposalByIds(Long[] ids);
}
